This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 244503 - Default SELinux policy completely breaks/crashes brasero
Default SELinux policy completely breaks/crashes brasero
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 05:49 EDT by vfiend
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 22:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
brasero SELinux denials (223.39 KB, text/plain)
2007-06-16 05:49 EDT, vfiend
no flags Details
audit.log for brasero denials (1.41 MB, text/plain)
2007-06-18 19:43 EDT, vfiend
no flags Details

  None (edit)
Description vfiend 2007-06-16 05:49:59 EDT
Description of problem: After installing the brasero package from the
repositories and adding some files to burn, brasero claims the files are much
larger than they are and keeps increasing the calculated size of the added files
until it crashes. A very large amount of SELinux error messages then show up
(saved text file of them attached)
Comment 1 vfiend 2007-06-16 05:49:59 EDT
Created attachment 157185 [details]
brasero SELinux denials
Comment 2 Daniel Walsh 2007-06-18 11:56:30 EDT
Please attach the audit log file.

/var/log/audit/audit.log
Comment 3 vfiend 2007-06-18 19:43:39 EDT
Created attachment 157339 [details]
audit.log for brasero denials

Sure, here it is
Comment 4 Daniel Walsh 2007-06-19 09:45:38 EDT
This is strange.

According to the log.  The brasero is trying to write to the /proc files or
every process on the system.  It does show some attempt to mount an unlabeled_t
file system.  And mount trying to send messages to dbus.

Comment 5 Daniel Walsh 2007-06-19 09:46:33 EDT
If you update to selinux-policy-2.6.4-17

Do you see any change in the behavior.  IE Please try again and send me the
audit.log.
Comment 6 vfiend 2007-06-19 22:00:51 EDT
Updated to selinux-policy-targeted 2.6.4-20.fc7 from updates-testing

Brasero doesn't crash of cause selinux denials anymore, though it does keep
counting file sizes to infinity, I guess it's just broken.

The SELinux policy doesn't seem to be breaking it anymore though, so that's odd..

Note You need to log in before you can comment on or make changes to this bug.